QGIS Application - Bug report #8524
Raster tiling offset in composer output from zoomed in resampling
2013-08-28 11:10 AM - John Tull

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 17280
Description

The composer is creating raster artifacts that appear to be from some form of tiling in both pdf and png outputs. See the attached sample
image that shows the non-alignment in raster layer output. It appears to be a shift in the raster "tiles".

History

#1 - 2013-08-28 02:07 PM - John Tull

| repeated printing without the affected layer (sans heat map tif layer), and the tiling offset does not occur. | cannot think of anything unique about this layer
that would make it do this, except perhaps image resampling. Indeed, switching the "zoomed in" resampling from "bilinear" to "nearest neighbour" produced
an output without the tiling offset. Unfortunately, the image quality is not what | was hoping for. | tried "cubic", and it also suffers from the tiling offset
problem.

In short, it appears that the zoomed in resampling for either bilinear or cubic is causing problems in the composer. This problem is not visible in the map
canvas or in the composer preview, only in the output.

#2 - 2013-08-28 02:08 PM - John Tull

- Subject changed from Raster tiling in composer output to Raster tiling offset in composer output from zoomed in resampling

#3 - 2013-08-28 02:10 PM - John Tull

| stand corrected. The offset is not visible in the main map canvas, but it does show up in the composer preview in addition to the output. | had to zoom in
enough and update my preview, but the offset can be seen in the composer window.
#4 - 2013-08-28 02:13 PM - John Tull

- File composer_resampling_bug.tiff added

#5 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#6 - 2014-06-03 04:06 AM - Nyall Dawson

- Status changed from Open to Feedback

Is this still an issue in current master? If so, please attach a test project and data set which demonstrates the issue.

#7 - 2014-10-08 09:52 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.

#8 - 2016-03-05 08:49 PM - Oliver Story

- Status changed from Closed to Reopened
- File Raster_artifact_test.qgs added

- File Raster_artifact_demo.png added

This is still an issue for me in QGIS 2.12.3

I've uploaded a test project and a screenshot; raster available from https://www.dropbox.com/s/li7uxhribg89b3m/hillshade.zip?dI=0 as it's 7MB and |

couldn't upload it.

For me the issue occurs with bilinear or cubic resampling, in print composer window and when exported as image or PDF (probably when exported as SVG

too but | haven't tried this).

#9 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#10 - 2019-03-09 04:04 PM - Giovanni Manghi
- Status changed from Reopened to Closed
- Resolution changed from worksforme to end of life

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
